Object.defineProperty(exports, '__esModule', { value: true });

var core = require('@sentry/core');
var client = require('./client.js');
require('./transports/index.js');
var sdk = require('./sdk.js');
var utils = require('./utils.js');
var hub = require('@sentry/hub');
var domain = require('domain');
var handlers = require('./handlers.js');
var index = require('./integrations/index.js');
var http = require('./transports/http.js');

;
;

;

var INTEGRATIONS = {
  ...core.Integrations,
  ...index,
};

// We need to patch domain on the global __SENTRY__ object to make it work for node in cross-platform packages like
// @sentry/hub. If we don't do this, browser bundlers will have troubles resolving `require('domain')`.
var carrier = hub.getMainCarrier();
if (carrier.__SENTRY__) {
  carrier.__SENTRY__.extensions = carrier.__SENTRY__.extensions || {};
  carrier.__SENTRY__.extensions.domain = carrier.__SENTRY__.extensions.domain || domain;
}

exports.Hub = core.Hub;
exports.SDK_VERSION = core.SDK_VERSION;
exports.Scope = core.Scope;
exports.addBreadcrumb = core.addBreadcrumb;
exports.addGlobalEventProcessor = core.addGlobalEventProcessor;
exports.captureEvent = core.captureEvent;
exports.captureException = core.captureException;
exports.captureMessage = core.captureMessage;
exports.configureScope = core.configureScope;
exports.createTransport = core.createTransport;
exports.getCurrentHub = core.getCurrentHub;
exports.getHubFromCarrier = core.getHubFromCarrier;
exports.makeMain = core.makeMain;
exports.setContext = core.setContext;
exports.setExtra = core.setExtra;
exports.setExtras = core.setExtras;
exports.setTag = core.setTag;
exports.setTags = core.setTags;
exports.setUser = core.setUser;
exports.startTransaction = core.startTransaction;
exports.withScope = core.withScope;
exports.NodeClient = client.NodeClient;
exports.addRequestDataToEvent = sdk.addRequestDataToEvent;
exports.close = sdk.close;
exports.defaultIntegrations = sdk.defaultIntegrations;
exports.defaultStackParser = sdk.defaultStackParser;
exports.extractRequestData = sdk.extractRequestData;
exports.flush = sdk.flush;
exports.getSentryRelease = sdk.getSentryRelease;
exports.init = sdk.init;
exports.lastEventId = sdk.lastEventId;
exports.deepReadDirSync = utils.deepReadDirSync;
exports.Handlers = handlers;
exports.makeNodeTransport = http.makeNodeTransport;
exports.Integrations = INTEGRATIONS;
//# sourceMappingURL=index.js.map
